Package com.macrofocus.high_d.tablelens

# Enum Class TableLensView.PropertyType

java.lang.Object
java.lang.Enum<TableLensView.PropertyType>
com.macrofocus.high_d.tablelens.TableLensView.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableLensView.PropertyType>`, `Constable`

Enclosing interface:
  `TableLensView<Component,Color,Row,Column>`

public static enum TableLensView.PropertyType extends Enum<TableLensView.PropertyType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Antialiasing`
  `ColorTheme`
  `ColumnSize`
  `Rendering`
  `RowSize`
  `ShowFiltered`
  `ShowTiming`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableLensView.PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableLensView.PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ShowTiming

    public static final TableLensView.PropertyType ShowTiming

  - ### ShowFiltered

    public static final TableLensView.PropertyType ShowFiltered

  - ### Rendering

    public static final TableLensView.PropertyType Rendering

  - ### Antialiasing

    public static final TableLensView.PropertyType Antialiasing

  - ### ColumnSize

    public static final TableLensView.PropertyType ColumnSize

  - ### ColorTheme

    public static final TableLensView.PropertyType ColorTheme

  - ### RowSize

    public static final TableLensView.PropertyType RowSize

- ## Method Details

  - ### values

    public static TableLensView.PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableLensView.PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null